Last Comment Bug 523936 - xpcshell-tests: Random Test Failure in test_browserGlue_distribution.js
: xpcshell-tests: Random Test Failure in test_browserGlue_distribution.js
Status: RESOLVED FIXED
[fixed-in-places]
: intermittent-failure
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
-- normal (vote)
: Firefox 6
Assigned To: Nobody; OK to take it and work on it
:
: Marco Bonardo [::mak]
Mentors:
http://mxr.mozilla.org/mozilla-centra...
: 527199 (view as bug list)
Depends on: 536435
Blocks: 438871 559354
  Show dependency treegraph
 
Reported: 2009-10-22 13:27 PDT by Shawn Wilsher :sdwilsh
Modified: 2012-11-25 19:31 PST (History)
16 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
cleanup (2.89 KB, patch)
2009-10-30 07:37 PDT, Marco Bonardo [::mak]
no flags Details | Diff | Splinter Review
patch v1.0 (607 bytes, patch)
2010-01-09 03:00 PST, Marco Bonardo [::mak]
sdwilsh: review+
Details | Diff | Splinter Review

Description User image Shawn Wilsher :sdwilsh 2009-10-22 13:27:51 PDT
WINNT 5.2 mozilla-central test opt everythingelse [testfailed] Started 12:54, finished 13:25
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256241288.1256243074.31586.gz&fulltext=1
Comment 2 User image Phil Ringnalda (:philor) 2009-10-25 01:16:38 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256449668.1256451668.22590.gz
OS X 10.5.2 mozilla-central test opt everythingelse on 2009/10/24 22:47:48
Comment 4 User image David Baron :dbaron: ⌚️UTC-8 2009-10-29 16:18:33 PDT
This is quite common on the Windows debug unittest box:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256828903.1256834271.3562.gz
WINNT 5.2 mozilla-central test debug everythingelse on 2009/10/29 08:08:23  
TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\xpcshell\tests\test_browser_places\unit\test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256851066.1256856998.5404.gz
WINNT 5.2 mozilla-central test debug everythingelse on 2009/10/29 14:17:46  
TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\xpcshell\tests\test_browser_places\unit\test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 5 User image Shawn Wilsher :sdwilsh 2009-10-29 16:23:51 PDT
Marco - do you think you could tackle this?
Comment 6 User image Marco Bonardo [::mak] 2009-10-29 16:41:35 PDT
i'll take a look, but it's a strange failure.
the first one is different too...
Comment 7 User image Marco Bonardo [::mak] 2009-10-30 06:27:25 PDT
the only thing i can think of actually is that the customization complete notification is fired too early. that can only happen if something runs in the middle of the bookmarks customization, but since it's a sync operation i can't see how.
The failure is in various point when checking the items in the menu/toolbar, some item is missing, like if it has not yet been added when the test checks.

For now i've only find that the test wrongly fire places-init-complete twice, that should not impact on success though since we stop observing after the first notification.
Comment 8 User image Marco Bonardo [::mak] 2009-10-30 06:37:07 PDT
could be that the unioned query that reads the toolbar/menu contents fails due to bug 507790 and skips some child. We could try marking this as a random failing query and see, if it does not fail anymore was that.
Comment 9 User image Marco Bonardo [::mak] 2009-10-30 06:40:06 PDT
hm, but actually we follow a different path in the test, checking directly with the bookmarks service, so now i doubt that would help.
Comment 10 User image Marco Bonardo [::mak] 2009-10-30 07:37:47 PDT
Created attachment 409329 [details] [diff] [review]
cleanup

this fixed a typo and removes the useless notification.
So far i've not found anything that could help with this failure, i really don't see how this could fail that way.
Comment 11 User image Marco Bonardo [::mak] 2009-10-30 07:38:58 PDT
notice i ran the test in loop for a thousands times in debug mode on both a real machine and a VM, without seeing any failure, and that does not help.
Comment 12 User image Phil Ringnalda (:philor) 2009-11-02 09:16:25 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257163937.1257166119.28355.gz
OS X 10.5.2 mozilla-central test opt everythingelse on 2009/11/02 04:12:17
Comment 13 User image Marco Bonardo [::mak] 2009-11-04 06:47:25 PST
i pushed the cleanup since it's a trivial change
http://hg.mozilla.org/mozilla-central/rev/e6ecc37f467c
i don't think it will change anything relative this random failure.
Comment 14 User image Marco Bonardo [::mak] 2009-11-07 02:05:59 PST
*** Bug 527199 has been marked as a duplicate of this bug. ***
Comment 15 User image Steven Michaud [:smichaud] (Retired) 2009-11-09 11:10:10 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257789410.1257791817.31352.gz

OS X 10.5.2 mozilla-central test everythingelse
Comment 16 User image Steven Michaud [:smichaud] (Retired) 2009-11-09 11:11:49 PST
Comment #12 and comment #15 both report this problem on OS X.
Comment 17 User image :Ehsan Akhgari 2009-11-11 08:32:36 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257950083.1257951882.8100.gz
OS X 10.5.2 mozilla-central opt test everythingelse
Comment 18 User image Markus Stange [:mstange] 2009-11-14 03:05:36 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258191434.1258193739.30752.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/11/14 01:37:14
Comment 20 User image :Ehsan Akhgari 2009-11-16 16:12:16 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258413557.1258416513.31262.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/11/16 15:19:17
Comment 21 User image Daniel Holbert [:dholbert] (vacation, returning 2/27) 2009-11-18 00:04:48 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258526166.1258528692.5674.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/11/17 22:36:06
Comment 22 User image David Baron :dbaron: ⌚️UTC-8 2009-11-19 12:32:19 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258656981.1258662146.21384.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/11/19 10:56:21
s: moz2-darwin9-slave09
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
Comment 23 User image :Ehsan Akhgari 2009-12-03 08:29:49 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259849036.1259851348.6133.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/03 06:03:56

TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 24 User image Shawn Wilsher :sdwilsh 2009-12-03 13:02:00 PST
OS X 10.5.2 mozilla-central opt test everythingelse [testfailed] Started 11:32, finished 12:13
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259868757.1259871161.10155.gz&fulltext=1
Comment 25 User image David Baron :dbaron: ⌚️UTC-8 2009-12-11 07:14:15 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260540290.1260542565.30867.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/11 06:04:50
s: moz2-darwin9-slave11
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 26 User image David Baron :dbaron: ⌚️UTC-8 2009-12-11 07:26:43 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260532841.1260535390.9329.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/11 04:00:41  
s: moz2-darwin9-slave13
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 27 User image Phil Ringnalda (:philor) 2009-12-13 15:47:09 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260741340.1260743871.24682.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/13 13:55:40
s: moz2-darwin9-slave16
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 28 User image Phil Ringnalda (:philor) 2009-12-16 20:40:06 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261011963.1261014578.5277.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/16 17:06:03
s: moz2-darwin9-slave07
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 29 User image Phil Ringnalda (:philor) 2009-12-17 15:38:51 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261086606.1261090288.18621.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/17 13:50:06
s: moz2-darwin9-slave09
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
Comment 30 User image Daniel Holbert [:dholbert] (vacation, returning 2/27) 2009-12-18 09:47:47 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261153204.1261155638.5057.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/18 08:20:04
s: moz2-darwin9-slave02
Comment 31 User image Phil Ringnalda (:philor) 2009-12-18 22:58:39 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261202651.1261204979.31089.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/18 22:04:11
s: moz2-darwin9-slave17
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
Comment 32 User image Benjamin Smedberg [:bsmedberg] 2009-12-23 06:36:53 PST
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261575195.1261578291.31754.gz
Comment 33 User image Daniel Holbert [:dholbert] (vacation, returning 2/27) 2009-12-26 14:54:39 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261825957.1261828430.366.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/26 03:12:37
s: moz2-darwin9-slave12
Error says: "Getting Started == Toolbar Link Before - See following stack:"
Comment 34 User image Phil Ringnalda (:philor) 2009-12-30 08:00:10 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262164682.1262167153.12033.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/30 01:18:02
s: moz2-darwin9-slave09
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
Comment 35 User image Phil Ringnalda (:philor) 2009-12-30 13:29:52 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262194053.1262199620.27484.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/30 09:27:33
s: win32-slave37
TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\xpcshell\tests\test_browser_places\unit\test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 36 User image Phil Ringnalda (:philor) 2009-12-30 17:13:21 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262218893.1262221414.11078.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/30 16:21:33
s: moz2-darwin9-slave02
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
Comment 37 User image Phil Ringnalda (:philor) 2009-12-31 10:28:33 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262257053.1262262631.9478.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/31 02:57:33
s: win32-slave33
TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\xpcshell\tests\test_browser_places\unit\test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 38 User image Phil Ringnalda (:philor) 2009-12-31 16:51:44 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262294461.1262300749.23262.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/31 13:21:01
s: win32-slave40
TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\xpcshell\tests\test_browser_places\unit\test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 39 User image Timothy Nikkel (:tnikkel) 2010-01-02 20:44:45 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262486260.1262493290.19626.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2010/01/02 18:37:40
s: win32-slave06
Comment 40 User image Timothy Nikkel (:tnikkel) 2010-01-02 23:40:34 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262501486.1262503857.2367.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2010/01/02 22:51:26
s: moz2-darwin9-slave15
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
Comment 41 User image Phil Ringnalda (:philor) 2010-01-06 12:57:06 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262800528.1262810388.16426.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2010/01/06 09:55:28
s: win32-slave05
TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\xpcshell\tests\test_browser_places\unit\test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 42 User image Jonathan Kew (:jfkthame) 2010-01-08 01:53:03 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262931503.1262937227.17113.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2010/01/07 22:18:23
s: win32-slave32
Comment 43 User image Marco Bonardo [::mak] 2010-01-09 03:00:32 PST
Created attachment 420879 [details] [diff] [review]
patch v1.0

oh, this is embarassing, parseBookmarksSection is an helper, so it should not fire the notification, otherwise we could notify in the middle of import.
Comment 44 User image Shawn Wilsher :sdwilsh 2010-01-09 11:15:07 PST
Comment on attachment 420879 [details] [diff] [review]
patch v1.0

Well, now this makes sense.  Can we enable the test we disabled too please (can't recall which one of these tests it was)
Comment 46 User image Marco Bonardo [::mak] 2010-01-10 02:40:28 PST
(In reply to comment #44)
> (From update of attachment 420879 [details] [diff] [review])
> Well, now this makes sense.  Can we enable the test we disabled too please
> (can't recall which one of these tests it was)

that's already enabled since i was getting some logging out of it, unfortunatly this fix will only fix test_browserGlue_distribution.js failures. I hope to find the remaining issue soon.
Comment 47 User image Marco Bonardo [::mak] 2010-01-10 02:49:58 PST
ok, let's hope this is enough, resolving.
http://hg.mozilla.org/mozilla-central/rev/537a710037d4
Comment 48 User image Marco Bonardo [::mak] 2010-01-10 11:53:08 PST
this failed right on my push, but, the failure is more then interesting. The moz_bookmarks table shows a duplicate with parent 2 and position 0, so looks like there is a bug when inserting a bookmark at index 0, based on runs the selected bookmark could be one of the 2 with the same position, so the test can fail or success. I'll look at that now, it will also need a unit test in case.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263131166.1263133558.28927.gz

*** Printing data from moz_bookmarks:
id	type	fk	parent	position	title	keyword_id	folder_type	dateAdded	lastModified	
1	2	NULL	0	0		NULL	NULL	1263132525237437	1263132525238265	
2	2	NULL	1	0	Bookmarks Menu	NULL	NULL	1263132525237915	1263132525350460	
3	2	NULL	1	1	Bookmarks Toolbar	NULL	NULL	1263132525238036	1263132525357979	
4	2	NULL	1	2	Tags	NULL	NULL	1263132525238152	1263132525239069	
5	2	NULL	1	3	Unsorted Bookmarks	NULL	NULL	1263132525238265	1263132525256942	
6	1	1	2	0	Get Bookmark Add-ons	NULL	NULL	1263132525258708	1263132525284423	
7	1	2	3	1	Getting Started	NULL	NULL	1263132525285582	1263132525285902	
8	2	NULL	3	2	Latest Headlines	NULL	NULL	1263132525286059	1263132525286697	
9	3	NULL	2	1	NULL	NULL	NULL	1263132525286781	1263132525286781	
10	2	NULL	2	2	Mozilla Firefox	NULL	NULL	1263132525286872	1263132525289656	
11	1	3	10	0	Help and Tutorials	NULL	NULL	1263132525287072	1263132525287775	
12	1	4	10	1	Customize Firefox	NULL	NULL	1263132525287949	1263132525288620	
13	1	5	10	2	Get Involved	NULL	NULL	1263132525288795	1263132525289482	
14	1	6	10	3	About Us	NULL	NULL	1263132525289656	1263132525290315	
15	1	7	2	0	Menu Link Before	NULL	NULL	1263132525346206	1263132525346206	
16	1	7	2	4	Menu Link After	NULL	NULL	1263132525350460	1263132525350460	
17	1	7	3	0	Toolbar Link Before	NULL	NULL	1263132525354586	1263132525354586	
18	1	7	3	3	Toolbar Link After	NULL	NULL	1263132525357979	1263132525357979
Comment 49 User image David Baron :dbaron: ⌚️UTC-8 2010-01-12 09:23:22 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263313845.1263316386.27828.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2010/01/12 08:30:45
s: moz2-darwin9-slave12
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
JS frame :: /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/head.js :: do_throw :: line 202
JS frame :: /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/head.js :: do_check_eq :: line 232
JS frame :: /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js :: continue_test :: line 114
JS frame :: /builds/slave/mozilla-central-macosx-opt-unittest-everythingelse/build/xpcshell/head.js :: anonymous :: line 96
TEST-INFO | (xpcshell/head.js) | exiting test
Comment 50 User image Phil Ringnalda (:philor) 2010-01-13 16:54:45 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263401112.1263408447.20579.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2010/01/13 08:45:12
s: moz2-darwin9-slave07
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-everythingelse/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 51 User image Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2010-01-14 22:04:12 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263524055.1263525808.27661.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/01/14 18:54:15  
s: win32-slave15
TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-xpcshell\build\xpcshell\tests\test_browser_places\unit\test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 52 User image Marco Bonardo [::mak] 2010-01-15 02:33:24 PST
hm, this had a pause, now started again being frequent. sometimes the failure is due to a missing bookmark, sometimes due to bookmarks having the same parent and position.
Comment 54 User image Phil Ringnalda (:philor) 2010-01-21 10:54:08 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264095998.1264098952.9923.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/01/21 09:46:38
s: win32-slave32
Comment 55 User image Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2010-01-23 09:40:59 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264266953.1264268302.10434.gz
Comment 56 User image Phil Ringnalda (:philor) 2010-01-29 18:40:28 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264816715.1264817631.25972.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/01/29 17:58:35
s: moz2-darwin9-slave11
Comment 57 User image Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2010-02-01 22:22:30 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265090493.1265091504.16461.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/02/01 22:01:33  
s: moz2-darwin9-slave22
Comment 58 User image Ted Mielczarek [:ted.mielczarek] 2010-02-05 06:37:21 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265372863.1265373933.30377.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/02/05 04:27:43  
s: moz2-darwin9-slave23
Comment 59 User image Simon Montagu :smontagu 2010-02-23 03:25:46 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266920357.1266921557.14481.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/02/23 02:19:17
s: moz2-darwin9-slave24
Comment 60 User image Daniel Veditz [:dveditz] 2010-02-23 16:17:37 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266965804.1266967522.21895.gz
OS X 10.5.2 mozilla-central debug test xpcshell
Comment 61 User image Johnny Stenback (:jst, jst@mozilla.com) 2010-03-05 16:30:00 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267832773.1267834629.2561.gz
OS X 10.5.2 mozilla-central debug test xpcshell
Comment 63 User image Daniel Holbert [:dholbert] (vacation, returning 2/27) 2010-03-12 14:37:11 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268431706.1268433171.1449.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/03/12 14:08:26
s: bm-xserve17
Comment 64 User image Phil Ringnalda (:philor) 2010-03-13 08:13:25 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268470518.1268471976.28999.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/03/13 00:55:18
s: bm-xserve18
Comment 65 User image Phil Ringnalda (:philor) 2010-03-13 17:32:32 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268527951.1268529601.6147.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/03/13 16:52:31
s: moz2-darwin9-slave16
Comment 66 User image Phil Ringnalda (:philor) 2010-03-14 12:23:34 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268588709.1268590688.19829.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/03/14 10:45:09
s: moz2-darwin9-slave16

TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 67 User image :Ehsan Akhgari 2010-03-15 07:56:06 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268658320.1268660094.11279.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/03/15 06:05:20
Comment 68 User image Phil Ringnalda (:philor) 2010-03-16 17:07:07 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268782931.1268784069.29390.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/03/16 16:42:11
s: moz2-darwin9-slave22
Comment 69 User image Daniel Holbert [:dholbert] (vacation, returning 2/27) 2010-03-16 17:08:11 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268782931.1268784069.29390.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/03/16 16:42:11
s: moz2-darwin9-slave22
Comment 70 User image Timothy Nikkel (:tnikkel) 2010-03-18 19:07:15 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268962001.1268963691.7522.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/03/18 18:26:41
s: moz2-darwin9-slave23
Comment 71 User image Phil Ringnalda (:philor) 2010-03-20 11:53:06 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269107681.1269110474.17352.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/03/20 10:54:41
s: moz2-darwin9-slave19

TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Getting Started == Toolbar Link Before - See following stack:
Comment 72 User image Phil Ringnalda (:philor) 2010-03-20 14:58:06 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269115795.1269116758.32044.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/03/20 13:09:55
s: moz2-darwin9-slave10

TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-opt-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 73 User image Drew Willcoxon :adw 2010-03-22 20:53:46 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269315101.1269316156.10085.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/03/22 20:31:41
Comment 74 User image Marco Bonardo [::mak] 2010-03-23 05:57:06 PDT
The latest logs still show bookmarks with duped position values, but i've not found any code path that could create those.  If this can really happen it would be a quite important bug to fix.  If anyone with Places knowledge has ideas, i'm open to suggestions.
Comment 75 User image Robert Longson 2010-03-23 06:53:46 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269350778.1269351828.19929.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/03/23 06:26:18
Comment 76 User image Siddharth Agarwal [:sid0] (inactive) 2010-03-24 04:01:10 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269426593.1269427972.3741.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/03/24 03:29:53
Comment 77 User image Phil Ringnalda (:philor) 2010-03-24 11:29:46 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269450347.1269451686.20682.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/03/24 10:05:47
s: moz2-darwin9-slave42
Comment 78 User image David Baron :dbaron: ⌚️UTC-8 2010-03-26 08:24:59 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269613875.1269615873.7440.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/03/26 07:31:15  
s: moz2-darwin9-slave11
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
Comment 79 User image Phil Ringnalda (:philor) 2010-03-28 09:33:20 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269777061.1269778043.3643.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/03/28 04:51:01
s: moz2-darwin9-slave16
Comment 80 User image Robert O'Callahan (:roc) (email my personal email if necessary) 2010-03-28 18:30:25 PDT
http://tinderbox.mozilla.org/addnote.cgi?log=Firefox/1269821268.1269822281.13315.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/03/28 17:07:48
Comment 81 User image Phil Ringnalda (:philor) 2010-03-30 21:46:08 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270009256.1270010286.5174.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/03/30 21:20:56
s: moz2-darwin9-slave23
Comment 82 User image Phil Ringnalda (:philor) 2010-03-31 08:47:59 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270046743.1270050105.1540.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/03/31 07:45:43
s: win32-slave26
Comment 83 User image Phil Ringnalda (:philor) 2010-03-31 12:09:37 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270058702.1270060741.2396.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/03/31 11:05:02
s: moz2-darwin9-slave09
Comment 84 User image Phil Ringnalda (:philor) 2010-04-01 07:22:57 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270122698.1270123730.3298.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/04/01 04:51:38
s: moz2-darwin9-slave21
Comment 85 User image Daniel Veditz [:dveditz] 2010-04-01 10:26:52 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270140047.1270141059.2504.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/04/01 09:40:47
s: moz2-darwin9-slave24
Comment 86 User image David Baron :dbaron: ⌚️UTC-8 2010-04-02 22:24:20 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270264487.1270266698.25038.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/02 20:14:47
s: moz2-darwin9-slave43
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
Comment 87 User image Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2010-04-03 04:29:22 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270281111.1270282617.23050.gz
Comment 88 User image Jonathan Kew (:jfkthame) 2010-04-03 06:33:26 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270298408.1270301021.20844.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/03 05:40:08
s: moz2-darwin9-slave19
Comment 90 User image David Baron :dbaron: ⌚️UTC-8 2010-04-04 13:03:15 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270407521.1270410118.29167.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/04 11:58:41
s: moz2-darwin9-slave24
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
Comment 91 User image David Baron :dbaron: ⌚️UTC-8 2010-04-04 16:09:47 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270418465.1270420755.16468.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/04 15:01:05
s: moz2-darwin9-slave02
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
Comment 92 User image Matthew Gregan [:kinetik] 2010-04-05 03:13:31 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270442680.1270444301.26783.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/04 21:44:40  
TEST-PASS | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_corrupt_nobackup_default.js | test passed
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
  >>>>>>>
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
JS frame :: /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/head.js :: do_throw :: line 257
JS frame :: /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/head.js :: do_check_eq :: line 287
JS frame :: /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js :: continue_test :: line 120
JS frame :: /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/head.js :: anonymous :: line 224
T
Comment 93 User image Steven Michaud [:smichaud] (Retired) 2010-04-05 09:27:37 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270481975.1270484258.6067.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/05 08:39:35
s: moz2-darwin9-slave12

TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
Comment 94 User image Steven Michaud [:smichaud] (Retired) 2010-04-05 10:42:47 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270487069.1270488585.19776.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/05 10:04:29
s: bm-xserve19

Other info same as in comment #93.
Comment 95 User image Steven Michaud [:smichaud] (Retired) 2010-04-05 13:51:57 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270495314.1270496173.12232.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central opt test xpcshell on 2010/04/05 12:21:54
s: talos-r3-snow-016

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/mozilla-central-snowleopard-opt-u-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/mozilla-central-snowleopard-opt-u-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 96 User image Phil Ringnalda (:philor) 2010-04-05 15:50:48 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270505391.1270507496.14240.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/05 15:09:51
s: talos-r3-leopard-015

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
Comment 97 User image Daniel Holbert [:dholbert] (vacation, returning 2/27) 2010-04-05 15:53:16 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270505386.1270507650.14753.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/05 15:09:46
s: moz2-darwin9-slave13
Same failure lines as in comment 96.
Comment 98 User image Phil Ringnalda (:philor) 2010-04-05 15:59:59 PDT
And for that matter,
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270485951.1270488593.19794.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/05 09:45:51
s: moz2-darwin9-slave20
Comment 99 User image Phil Ringnalda (:philor) 2010-04-05 17:58:39 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270513172.1270515156.3824.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/05 17:19:32
s: talos-r3-leopard-003
Comment 100 User image Phil Ringnalda (:philor) 2010-04-05 19:36:44 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270515285.1270517577.9799.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/05 17:54:45
s: talos-r3-leopard-027
Comment 101 User image Phil Ringnalda (:philor) 2010-04-05 22:01:17 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270525347.1270527163.32681.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/05 20:42:27
s: talos-r3-leopard-017

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270527103.1270529037.4887.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/05 21:11:43
s: talos-r3-leopard-019

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270526476.1270529089.4996.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/05 21:01:16
s: moz2-darwin9-slave19

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270527504.1270529568.6213.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/05 21:18:24
s: talos-r3-leopard-009
Comment 102 User image Phil Ringnalda (:philor) 2010-04-05 22:13:16 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270528243.1270529873.7075.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/05 21:30:43
s: bm-xserve09

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270528267.1270530410.8133.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/05 21:31:07
s: talos-r3-leopard-033
Comment 103 User image Phil Ringnalda (:philor) 2010-04-05 23:16:50 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270531916.1270534256.17787.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/05 22:31:56
s: talos-r3-leopard-012

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270532610.1270534156.17561.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/05 22:43:30
s: bm-xserve16
Comment 104 User image Phil Ringnalda (:philor) 2010-04-05 23:40:16 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270533589.1270535595.21175.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/05 22:59:49
s: talos-r3-leopard-026
Comment 105 User image Daniel Holbert [:dholbert] (vacation, returning 2/27) 2010-04-06 01:20:37 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270539055.1270541227.6068.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/06 00:30:55
s: talos-r3-leopard-022
Comment 106 User image Daniel Holbert [:dholbert] (vacation, returning 2/27) 2010-04-06 01:21:06 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270539023.1270541718.7907.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/06 00:30:23
s: moz2-darwin9-slave20
Comment 107 User image Jonathan Kew (:jfkthame) 2010-04-06 07:36:46 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270561523.1270563770.27844.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/06 06:45:23
s: moz2-darwin9-slave38
Comment 108 User image Phil Ringnalda (:philor) 2010-04-06 07:54:55 PDT
Get Bookmark Add-ons == Menu Link Before:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270535812.1270538060.27510.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/05 23:36:52
s: talos-r3-leopard-038

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270537818.1270539750.420.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/06 00:10:18
s: talos-r3-leopard-040

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270537051.1270539396.31526.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/05 23:57:31
s: moz2-darwin9-slave02

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270544560.1270546671.26303.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/06 02:02:40
s: talos-r3-leopard-024

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270545398.1270547405.29223.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test xpcshell on 2010/04/06 02:16:38
s: talos-r3-snow-008

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270545316.1270547566.29693.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/06 02:15:16
s: talos-r3-leopard-006

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270545275.1270546940.27594.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/06 02:14:35
s: bm-xserve11

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270562864.1270564639.30336.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/06 07:07:44
s: talos-r3-leopard-028
Comment 110 User image David Baron :dbaron: ⌚️UTC-8 2010-04-06 12:06:12 PDT
FWIW, scrolling back through tbpl for a few days, it looks like the frequency of this on Mac debug went up sometime on Friday April 2.
Comment 111 User image Jonathan Kew (:jfkthame) 2010-04-06 13:07:48 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270581902.1270584008.23707.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/06 12:25:02
s: talos-r3-leopard-017
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
Comment 112 User image Dietrich Ayala (:dietrich) 2010-04-06 14:12:40 PDT
(In reply to comment #110)
> FWIW, scrolling back through tbpl for a few days, it looks like the frequency
> of this on Mac debug went up sometime on Friday April 2.

There was a tracemonkey merge that day. Nothing else looked related at first glance.
Comment 113 User image Daniel Holbert [:dholbert] (vacation, returning 2/27) 2010-04-06 14:32:17 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270586103.1270588815.10200.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/06 13:35:03
s: talos-r3-leopard-022
Comment 114 User image Treeherder Robot 2010-04-06 14:50:49 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270585606.1270588230.8401.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 13:26, finished 14:11
Comment 115 User image Treeherder Robot 2010-04-06 14:51:00 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270585727.1270588147.7903.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 13:28, finished 14:10
Comment 116 User image Treeherder Robot 2010-04-06 15:59:36 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270592383.1270594210.29347.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 15:19, finished 15:51
Comment 117 User image Treeherder Robot 2010-04-06 17:05:26 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270596369.1270598198.9480.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 16:26, finished 16:57
Comment 118 User image Treeherder Robot 2010-04-06 17:06:09 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270597003.1270598525.10646.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 16:36, finished 17:03
Comment 119 User image Treeherder Robot 2010-04-06 17:21:09 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270597733.1270599371.12889.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test xpcshell, Started 16:48, finished 17:17
Comment 120 User image Treeherder Robot 2010-04-06 17:45:16 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270598358.1270600264.15412.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 16:59, finished 17:32
Comment 121 User image Treeherder Robot 2010-04-06 18:16:44 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270600001.1270601891.19774.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 17:26, finished 17:59
Comment 122 User image Treeherder Robot 2010-04-06 18:57:32 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270602517.1270604776.27299.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 18:08, finished 18:47
Comment 123 User image Treeherder Robot 2010-04-06 18:58:23 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270602520.1270604525.26714.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 18:08, finished 18:43
Comment 124 User image Treeherder Robot 2010-04-06 19:41:30 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270605690.1270607207.1432.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 19:01, finished 19:27
Comment 125 User image Treeherder Robot 2010-04-06 20:04:38 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270606497.1270608879.5851.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 19:14, finished 19:55
Comment 126 User image Treeherder Robot 2010-04-06 20:26:31 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270608817.1270610336.9711.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 19:53, finished 20:19
Comment 127 User image Treeherder Robot 2010-04-06 20:37:22 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270609132.1270611051.11627.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 19:58, finished 20:31
Comment 128 User image Treeherder Robot 2010-04-06 20:42:57 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270608750.1270611402.12645.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 19:52, finished 20:37
Comment 129 User image Treeherder Robot 2010-04-06 21:14:08 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270611263.1270613172.18023.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 20:34, finished 21:07
Comment 130 User image Treeherder Robot 2010-04-06 21:49:54 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270613783.1270615335.23219.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 21:16, finished 21:43
Comment 131 User image Treeherder Robot 2010-04-06 21:57:42 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270614038.1270615972.26112.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 21:20, finished 21:53
Comment 132 User image Treeherder Robot 2010-04-06 23:53:03 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270620213.1270622498.7886.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 23:03, finished 23:42
Comment 133 User image Jonathan Kew (:jfkthame) 2010-04-07 02:10:57 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270627802.1270630117.26727.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/07 01:10:02
s: moz2-darwin9-slave02

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270628092.1270630297.27441.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/07 01:14:52
s: talos-r3-leopard-020
Comment 134 User image Jonathan Kew (:jfkthame) 2010-04-07 02:15:58 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270624710.1270627116.19009.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/07 00:18:30
s: talos-r3-leopard-039
Comment 135 User image Jonathan Kew (:jfkthame) 2010-04-07 02:17:28 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270624708.1270627332.19617.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/07 00:18:28
s: moz2-darwin9-slave24
Comment 136 User image Jonathan Kew (:jfkthame) 2010-04-07 04:02:08 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270632886.1270635173.14346.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/07 02:34:46
s: talos-r3-leopard-020
Comment 137 User image Treeherder Robot 2010-04-07 12:57:42 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270668143.1270669658.3538.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 12:22, finished 12:48
Comment 138 User image Treeherder Robot 2010-04-07 12:58:18 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270666028.1270668293.31705.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 11:47, finished 12:25
Comment 139 User image Treeherder Robot 2010-04-07 12:58:53 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270666044.1270668331.31779.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 11:47, finished 12:26
Comment 140 User image Treeherder Robot 2010-04-07 13:01:37 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270668598.1270670141.4774.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 12:29, finished 12:56
Comment 141 User image Treeherder Robot 2010-04-07 13:26:45 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270668598.1270670804.6765.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 12:29, finished 13:07
Comment 142 User image Treeherder Robot 2010-04-07 13:27:02 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270669771.1270671428.8372.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test xpcshell, Started 12:49, finished 13:18
Comment 143 User image Treeherder Robot 2010-04-07 13:54:00 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270670375.1270672656.12319.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 12:59, finished 13:38
Comment 144 User image Treeherder Robot 2010-04-07 13:54:07 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270670442.1270672970.13395.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 13:00, finished 13:43
Comment 145 User image Treeherder Robot 2010-04-07 14:08:28 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270671714.1270673979.16392.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 13:21, finished 14:00
Comment 146 User image Treeherder Robot 2010-04-07 14:16:01 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270668306.1270670766.6661.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 12:25, finished 13:07
Comment 147 User image Treeherder Robot 2010-04-07 14:32:08 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270672817.1270674795.19105.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 13:40, finished 14:14
Comment 148 User image Treeherder Robot 2010-04-07 14:33:38 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270666486.1270669178.1815.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 11:54, finished 12:40
Comment 149 User image Treeherder Robot 2010-04-07 14:34:00 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270666489.1270668556.32462.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 11:54, finished 12:30
Comment 150 User image Treeherder Robot 2010-04-07 14:43:59 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270673243.1270675503.21371.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 13:47, finished 14:26
Comment 151 User image Treeherder Robot 2010-04-07 15:41:43 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270675736.1270677283.27059.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 14:28, finished 14:55
Comment 152 User image Treeherder Robot 2010-04-07 15:42:19 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270675943.1270678596.31201.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 14:32, finished 15:17
Comment 153 User image Treeherder Robot 2010-04-07 16:39:42 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270679304.1270680838.5278.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 15:28, finished 15:54
Comment 154 User image Treeherder Robot 2010-04-07 16:52:37 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270681150.1270683796.15055.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 15:59, finished 16:44
Comment 155 User image Treeherder Robot 2010-04-07 17:16:43 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270682235.1270685370.19347.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 16:17, finished 17:10
Comment 156 User image Treeherder Robot 2010-04-07 19:23:50 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270686895.1270689504.31741.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 17:34, finished 18:19
Comment 157 User image Treeherder Robot 2010-04-07 19:24:57 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270686898.1270689998.622.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 17:34, finished 18:27
Comment 159 User image Treeherder Robot 2010-04-07 22:16:41 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270699556.1270702208.1147.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 21:05, finished 21:51
Comment 160 User image Bas Schouten (:bas.schouten) 2010-04-08 02:58:36 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270712821.1270715079.29270.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/08 00:47:01
s: moz2-darwin9-slave16
Comment 161 User image Treeherder Robot 2010-04-08 07:19:36 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270732650.1270734923.13134.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 06:17, finished 06:56
Comment 162 User image Treeherder Robot 2010-04-08 07:38:14 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270719773.1270721420.20254.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 02:42, finished 03:11
Comment 163 User image Treeherder Robot 2010-04-08 07:47:04 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270715510.1270717741.5677.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 01:31, finished 02:10
Comment 164 User image Treeherder Robot 2010-04-08 07:56:42 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270736389.1270738051.25502.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 07:19, finished 07:48
Comment 165 User image Treeherder Robot 2010-04-08 08:08:58 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270718343.1270720982.18558.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 02:19, finished 03:04
Comment 166 User image Treeherder Robot 2010-04-08 08:11:48 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270717095.1270719705.13490.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 01:58, finished 02:42
Comment 167 User image Treeherder Robot 2010-04-08 09:36:00 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270742747.1270744305.18842.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 09:05, finished 09:32
Comment 168 User image Treeherder Robot 2010-04-08 10:44:08 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270744187.1270746435.26954.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 09:29, finished 10:08
Comment 169 User image Treeherder Robot 2010-04-08 11:37:46 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270748026.1270749681.5770.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 10:33, finished 11:02
Comment 170 User image Treeherder Robot 2010-04-08 11:39:48 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270748026.1270749681.5770.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 10:33, finished 11:02
Comment 171 User image Treeherder Robot 2010-04-08 12:51:59 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270753221.1270755838.25119.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 12:00, finished 12:44
Comment 172 User image Treeherder Robot 2010-04-08 13:14:02 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270754422.1270757042.28908.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 12:20, finished 13:05
Comment 173 User image Treeherder Robot 2010-04-08 13:14:25 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270754422.1270757042.28908.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 12:20, finished 13:05
Comment 174 User image Treeherder Robot 2010-04-08 13:38:22 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270756672.1270758840.2450.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 12:57, finished 13:34
Comment 175 User image Treeherder Robot 2010-04-08 15:25:08 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270762464.1270764097.19367.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 14:34, finished 15:02
Comment 176 User image Treeherder Robot 2010-04-08 15:50:27 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270758803.1270761154.9681.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 13:33, finished 14:13
Comment 177 User image Treeherder Robot 2010-04-08 15:50:50 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270758809.1270761983.12079.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 13:33, finished 14:27
Comment 178 User image Treeherder Robot 2010-04-08 16:10:23 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270765640.1270767687.30214.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 15:27, finished 16:02
Comment 179 User image Treeherder Robot 2010-04-08 16:48:08 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270766576.1270768094.31306.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 15:42, finished 16:09
Comment 180 User image Treeherder Robot 2010-04-08 16:52:15 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270766578.1270768884.1352.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 15:42, finished 16:22
Comment 181 User image Treeherder Robot 2010-04-08 17:00:41 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270768564.1270770823.7330.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 16:16, finished 16:54
Comment 182 User image Treeherder Robot 2010-04-08 17:29:33 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270768970.1270771076.8050.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 16:22, finished 16:58
Comment 183 User image Treeherder Robot 2010-04-08 17:36:29 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270771411.1270773055.14450.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 17:03, finished 17:31
Comment 184 User image Treeherder Robot 2010-04-08 17:51:08 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270771412.1270773676.16039.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 17:03, finished 17:42
Comment 185 User image Treeherder Robot 2010-04-08 17:52:19 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270771412.1270773676.16039.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 17:03, finished 17:42
Comment 186 User image Treeherder Robot 2010-04-08 18:28:25 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270773283.1270775559.20773.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 17:34, finished 18:13
Comment 187 User image Treeherder Robot 2010-04-08 18:28:39 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270773287.1270775463.20487.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 17:34, finished 18:12
Comment 188 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2010-04-08 18:45:46 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270775528.1270777173.25125.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/08 18:12:08
s: bm-xserve07
Comment 189 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2010-04-08 18:55:14 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270775529.1270777722.26636.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/08 18:12:09
s: talos-r3-leopard-028
Comment 190 User image Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2010-04-09 13:00:17 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270840833.1270842837.18086.gz
Comment 191 User image Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2010-04-09 14:19:00 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270845608.1270847759.32319.gz
Comment 192 User image Phil Ringnalda (:philor) 2010-04-10 00:29:29 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270881148.1270883058.27443.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/09 23:32:28
s: talos-r3-leopard-024
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270881146.1270883413.28091.gz
OS X 10.5.2 mozilla-central debug test xpcshell on 2010/04/09 23:32:26
s: moz2-darwin9-slave11
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-macosx-debug-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 193 User image Phil Ringnalda (:philor) 2010-04-10 11:22:30 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270919716.1270921666.3784.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/04/10 10:15:16
s: talos-r3-leopard-012

(and a whole bunch that wound up in bug 545323 since tbplbot was misfiring)
Comment 194 User image Treeherder Robot 2010-04-10 17:50:42 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270944501.1270946671.25290.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 17:08, finished 17:45
Comment 195 User image Treeherder Robot 2010-04-10 17:57:31 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270945715.1270947237.26464.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 17:28, finished 17:54
Comment 196 User image Treeherder Robot 2010-04-10 18:32:56 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270946282.1270948369.28497.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 17:38, finished 18:13
Comment 197 User image Treeherder Robot 2010-04-10 20:21:24 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270953696.1270955673.10791.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 19:41, finished 20:15
Comment 198 User image Treeherder Robot 2010-04-10 20:47:11 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270954706.1270957337.14591.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 19:58, finished 20:43
Comment 199 User image Treeherder Robot 2010-04-10 20:47:32 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270954713.1270957200.14300.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 19:58, finished 20:40
Comment 200 User image Treeherder Robot 2010-04-10 21:34:27 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270956797.1270959486.19388.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 20:33, finished 21:19
Comment 201 User image Treeherder Robot 2010-04-10 21:35:41 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270956862.1270958950.18270.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 20:34, finished 21:10
Comment 202 User image Treeherder Robot 2010-04-10 21:49:36 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270958912.1270960574.22241.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 21:08, finished 21:37
Comment 203 User image Treeherder Robot 2010-04-10 22:10:57 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270959219.1270961291.23936.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 21:13, finished 21:49
Comment 204 User image Treeherder Robot 2010-04-11 00:35:59 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270964670.1270966673.11292.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 01:44, finished 02:18
Comment 205 User image Treeherder Robot 2010-04-11 10:20:12 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270998991.1271000952.7889.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 08:16, finished 08:50
Comment 206 User image Treeherder Robot 2010-04-11 10:21:48 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270970689.1270973311.5903.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 00:24, finished 01:09
Comment 207 User image Treeherder Robot 2010-04-11 10:21:56 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270970693.1270972800.31501.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 00:24, finished 01:00
Comment 208 User image Treeherder Robot 2010-04-11 12:20:45 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271011437.1271013434.2791.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 11:43, finished 12:18
Comment 209 User image Treeherder Robot 2010-04-11 12:31:37 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271011436.1271014052.4439.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 11:43, finished 12:28
Comment 210 User image Treeherder Robot 2010-04-11 13:34:59 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271015440.1271017773.13953.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 15:50, finished 16:30
Comment 211 User image Treeherder Robot 2010-04-11 13:35:06 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271015443.1271017748.13897.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 15:50, finished 16:30
Comment 212 User image Treeherder Robot 2010-04-11 14:13:25 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271018007.1271020129.19799.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 16:33, finished 17:09
Comment 213 User image Treeherder Robot 2010-04-11 14:13:25 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271018007.1271020129.19799.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 13:33, finished 14:09
Comment 214 User image Treeherder Robot 2010-04-11 14:30:09 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271019494.1271021144.22780.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 16:58, finished 17:26
Comment 215 User image Treeherder Robot 2010-04-11 14:39:38 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271019507.1271021562.23773.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 16:58, finished 17:33
Comment 216 User image Treeherder Robot 2010-04-11 16:08:30 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271024722.1271026991.5091.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 15:25, finished 16:04
Comment 217 User image Treeherder Robot 2010-04-11 16:08:56 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271024722.1271026771.4126.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 15:25, finished 16:00
Comment 218 User image Treeherder Robot 2010-04-11 16:19:56 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271026339.1271027851.7314.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 15:52, finished 16:18
Comment 219 User image Treeherder Robot 2010-04-11 16:48:22 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271026373.1271028725.9584.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 18:52, finished 19:33
Comment 220 User image Treeherder Robot 2010-04-11 16:50:23 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271026373.1271028725.9584.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 15:52, finished 16:33
Comment 221 User image Treeherder Robot 2010-04-11 17:05:08 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271028268.1271030560.13685.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 19:24, finished 20:03
Comment 222 User image Treeherder Robot 2010-04-11 17:06:24 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271028268.1271030560.13685.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 16:24, finished 17:03
Comment 223 User image Treeherder Robot 2010-04-11 17:48:50 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271030786.1271032937.19729.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 20:06, finished 20:43
Comment 224 User image Treeherder Robot 2010-04-11 17:49:11 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271030153.1271032421.18418.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 19:55, finished 20:34
Comment 225 User image Treeherder Robot 2010-04-11 18:23:18 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271032636.1271035252.24917.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 20:37, finished 21:21
Comment 226 User image Treeherder Robot 2010-04-11 18:23:51 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271032636.1271035252.24917.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 17:37, finished 18:21
Comment 227 User image Treeherder Robot 2010-04-11 18:35:17 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271033195.1271035577.25604.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 20:46, finished 21:27
Comment 228 User image Treeherder Robot 2010-04-11 18:44:07 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271034817.1271036451.27894.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 21:13, finished 21:41
Comment 229 User image Treeherder Robot 2010-04-11 19:16:11 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271036287.1271038376.32531.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 21:38, finished 22:13
Comment 230 User image Treeherder Robot 2010-04-11 19:17:18 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271036287.1271038376.32531.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 18:38, finished 19:13
Comment 231 User image Treeherder Robot 2010-04-11 20:21:20 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271040239.1271042338.8756.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 22:43, finished 23:19
Comment 232 User image Treeherder Robot 2010-04-11 20:27:46 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271040238.1271042535.9177.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 22:43, finished 23:23
Comment 233 User image Treeherder Robot 2010-04-11 21:05:56 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271042663.1271044913.14785.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 20:24, finished 21:02
Comment 234 User image Treeherder Robot 2010-04-11 21:06:06 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271042665.1271044985.15027.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 20:24, finished 21:04
Comment 235 User image Treeherder Robot 2010-04-11 22:31:11 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271047820.1271050106.27857.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 21:50, finished 22:29
Comment 236 User image Treeherder Robot 2010-04-11 22:31:43 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271047822.1271049966.27490.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 21:50, finished 22:27
Comment 237 User image Treeherder Robot 2010-04-11 23:19:02 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271049887.1271052678.2087.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 22:24, finished 23:12
Comment 238 User image Treeherder Robot 2010-04-12 01:33:19 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271058854.1271060914.25404.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 00:54, finished 01:29
Comment 239 User image Treeherder Robot 2010-04-12 02:15:33 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271058852.1271061483.29346.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 00:54, finished 01:39
Comment 240 User image Treeherder Robot 2010-04-12 02:43:55 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271061204.1271062871.3844.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 01:33, finished 02:02
Comment 241 User image Treeherder Robot 2010-04-12 02:45:41 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271062282.1271064398.10082.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 01:51, finished 02:27
Comment 242 User image Treeherder Robot 2010-04-12 03:35:54 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271065244.1271067396.5328.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 02:40, finished 03:17
Comment 243 User image Treeherder Robot 2010-04-12 06:58:54 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271077025.1271079321.22735.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 05:57, finished 06:36
Comment 244 User image Treeherder Robot 2010-04-12 06:59:14 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271077041.1271079074.21689.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 05:57, finished 06:32
Comment 245 User image Treeherder Robot 2010-04-12 06:59:42 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271077025.1271079321.22735.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 05:57, finished 06:36
Comment 246 User image Treeherder Robot 2010-04-12 08:28:54 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271082366.1271084489.6315.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 07:26, finished 08:02
Comment 247 User image Treeherder Robot 2010-04-12 08:29:15 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271082366.1271084489.6315.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 07:26, finished 08:02
Comment 248 User image Treeherder Robot 2010-04-12 08:29:29 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271082363.1271083887.4882.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 07:26, finished 07:52
Comment 249 User image Treeherder Robot 2010-04-12 08:59:04 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271060146.1271062753.3351.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 04:15, finished 05:00
Comment 250 User image Treeherder Robot 2010-04-12 08:59:10 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271060803.1271062892.3901.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 04:26, finished 05:02
Comment 251 User image Treeherder Robot 2010-04-12 10:07:37 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271089131.1271091100.26863.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 09:18, finished 09:52
Comment 252 User image Treeherder Robot 2010-04-12 10:38:32 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271091671.1271093637.1370.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 10:01, finished 10:34
Comment 253 User image Treeherder Robot 2010-04-12 10:39:48 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271091671.1271093637.1370.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 10:01, finished 10:34
Comment 254 User image Treeherder Robot 2010-04-12 12:43:02 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271098542.1271100530.18794.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 11:55, finished 12:29
Comment 255 User image Treeherder Robot 2010-04-12 13:22:28 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271100940.1271103123.25258.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 12:35, finished 13:13
Comment 256 User image Treeherder Robot 2010-04-12 14:24:15 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271105212.1271106724.3353.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 13:46, finished 14:13
Comment 257 User image Treeherder Robot 2010-04-12 14:26:04 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271104580.1271107199.4756.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 13:36, finished 14:20
Comment 258 User image Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2010-04-12 15:11:46 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271106464.1271108124.7116.gz
Comment 259 User image Treeherder Robot 2010-04-12 15:34:02 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271108540.1271110777.15131.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 14:42, finished 15:20
Comment 260 User image Treeherder Robot 2010-04-12 15:50:55 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271109772.1271111879.18315.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 15:02, finished 15:38
Comment 261 User image Treeherder Robot 2010-04-12 18:53:50 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271117342.1271119645.8542.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 17:09, finished 17:48
Comment 262 User image Treeherder Robot 2010-04-12 18:54:05 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271117344.1271119628.8507.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 17:09, finished 17:48
Comment 263 User image Treeherder Robot 2010-04-12 21:10:21 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271129214.1271131384.5762.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 20:26, finished 21:04
Comment 264 User image Treeherder Robot 2010-04-12 21:50:12 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271131580.1271133860.12685.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 21:06, finished 21:45
Comment 265 User image Treeherder Robot 2010-04-12 22:15:48 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271132873.1271135283.17005.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 21:27, finished 22:09
Comment 266 User image Dietrich Ayala (:dietrich) 2010-04-12 23:52:23 PDT
Hrm, distribution.js doesn't seem to make it's changes in a transaction, which could cause problems if other things are happening at the same time.

In the latest failure, there's no "before menu item" item at all, and nothing in the log indicating distribution customizations failed.
Comment 267 User image Treeherder Robot 2010-04-13 01:37:18 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271142160.1271144358.10353.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 12:32, finished 13:10
Comment 268 User image Treeherder Robot 2010-04-13 01:37:55 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271142155.1271143691.8081.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 12:32, finished 12:59
Comment 269 User image Treeherder Robot 2010-04-13 03:57:41 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271150955.1271152805.5014.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 14:59, finished 15:31
Comment 270 User image Treeherder Robot 2010-04-13 03:59:19 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271151857.1271153834.7951.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 15:14, finished 15:48
Comment 271 User image Treeherder Robot 2010-04-13 10:16:44 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271177140.1271178681.2377.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 09:45, finished 10:12
Comment 272 User image Treeherder Robot 2010-04-13 10:28:46 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271177169.1271179292.4236.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 09:46, finished 10:22
Comment 273 User image Dietrich Ayala (:dietrich) 2010-04-13 10:43:27 PDT
Filed bug 559103 to get distribution.js to do it's bookmark customizations inside a transaction.
Comment 274 User image Treeherder Robot 2010-04-13 11:46:20 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271181662.1271184020.18258.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 11:01, finished 11:41
Comment 275 User image Treeherder Robot 2010-04-13 12:29:56 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271185501.1271186655.25615.gz
OS X 10.5.2 mozilla-central opt test xpcshell, Started 12:05, finished 12:25
Comment 276 User image Treeherder Robot 2010-04-13 12:30:16 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271184738.1271186737.26039.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 11:52, finished 12:26
Comment 277 User image Treeherder Robot 2010-04-13 14:37:04 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271192213.1271194371.14407.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 13:56, finished 14:33
Comment 278 User image Treeherder Robot 2010-04-13 16:36:53 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271197872.1271200180.32611.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 15:31, finished 16:10
Comment 279 User image Treeherder Robot 2010-04-13 18:18:48 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271205540.1271207501.18365.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 17:39, finished 18:12
Comment 280 User image Treeherder Robot 2010-04-13 20:03:54 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271209992.1271211927.27580.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 18:53, finished 19:26
Comment 281 User image Treeherder Robot 2010-04-13 20:04:25 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271202775.1271204651.12216.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 16:52, finished 17:25
Comment 282 User image Treeherder Robot 2010-04-13 20:49:53 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271214444.1271216499.5085.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 20:07, finished 20:42
Comment 283 User image Dietrich Ayala (:dietrich) 2010-04-13 22:51:16 PDT
Talked with sdwilsh, disabled the test until we figure it out.

http://hg.mozilla.org/mozilla-central/rev/d287e7a7b449
Comment 284 User image Dietrich Ayala (:dietrich) 2010-04-14 00:05:57 PDT
Apparently I disabled the test wrong, because it caused a crash. FTR, it didn't crash locally! Change backed out:

http://hg.mozilla.org/mozilla-central/rev/db22a5554a5e
Comment 285 User image Treeherder Robot 2010-04-14 00:48:46 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271228116.1271230421.1525.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 23:55, finished 00:34
Comment 286 User image Treeherder Robot 2010-04-14 00:49:00 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271228120.1271230558.1939.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 23:55, finished 00:36
Comment 287 User image Marco Bonardo [::mak] 2010-04-14 02:28:10 PDT
(In reply to comment #266)
> Hrm, distribution.js doesn't seem to make it's changes in a transaction, which
> could cause problems if other things are happening at the same time.
> 
> In the latest failure, there's no "before menu item" item at all, and nothing
> in the log indicating distribution customizations failed.

That should not make a difference (also our transactions are not exclusive, thus something could still happen in the middle), i think we avoided a batch here because we are adding a minimum number of bookmarks (and only once), thus there is probably not the need to rebuild all complex queries.

This is crazy and pretty strange, for example if you look up to some log you can find entries in moz_bookmarks with the same position value, i've not found a code path that could cause that.
Missing entries could make me think we notify too early, but again i can't see what could interrupt the bookmarks addition code (that is sync).

This failure worries me, i'll dedicate some time to it today, i hope to be able to reproduce it at least once in a VM.
Comment 288 User image Treeherder Robot 2010-04-14 03:12:29 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271236624.1271239014.25225.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 10:17, finished 10:57
Comment 289 User image Treeherder Robot 2010-04-14 03:13:44 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271236661.1271238314.22854.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 10:17, finished 10:46
Comment 290 User image Treeherder Robot 2010-04-14 03:31:25 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271238440.1271240700.30577.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 10:47, finished 11:25
Comment 291 User image Treeherder Robot 2010-04-14 03:31:34 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271238474.1271240755.30736.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 10:47, finished 11:26
Comment 292 User image Treeherder Robot 2010-04-14 03:38:33 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271235965.1271238106.22185.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 10:06, finished 10:42
Comment 293 User image Treeherder Robot 2010-04-14 05:38:01 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271245739.1271248357.28816.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 04:48, finished 05:33
Comment 294 User image Treeherder Robot 2010-04-14 05:39:34 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271245739.1271247899.27137.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 04:48, finished 05:25
Comment 295 User image Treeherder Robot 2010-04-14 09:00:48 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271257961.1271260032.5250.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 08:12, finished 08:48
Comment 296 User image Treeherder Robot 2010-04-14 09:15:52 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271257960.1271260634.7336.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 08:12, finished 08:58
Comment 297 User image Treeherder Robot 2010-04-14 10:32:52 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271262445.1271264723.20665.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 09:27, finished 10:06
Comment 298 User image Treeherder Robot 2010-04-14 10:33:05 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271262446.1271264400.19736.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 09:27, finished 10:00
Comment 299 User image Treeherder Robot 2010-04-14 10:48:37 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271265050.1271267058.26514.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 10:10, finished 10:45
Comment 300 User image Treeherder Robot 2010-04-14 11:02:20 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271265049.1271267324.27264.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 10:10, finished 10:49
Comment 301 User image Treeherder Robot 2010-04-14 13:18:15 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271273804.1271275955.15989.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 12:36, finished 13:13
Comment 302 User image Treeherder Robot 2010-04-14 13:18:38 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271273804.1271276064.16352.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 12:36, finished 13:15
Comment 303 User image Treeherder Robot 2010-04-14 13:19:31 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271273804.1271276064.16352.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 20:36, finished 21:15
Comment 304 User image Treeherder Robot 2010-04-14 13:38:06 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271276107.1271277273.19929.gz
OS X 10.5.2 mozilla-central opt test xpcshell, Started 21:15, finished 21:35
Comment 305 User image Treeherder Robot 2010-04-14 13:47:29 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271275634.1271277683.20906.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 13:07, finished 13:42
Comment 306 User image Treeherder Robot 2010-04-14 14:30:53 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271277684.1271279957.27720.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 13:41, finished 14:20
Comment 307 User image Treeherder Robot 2010-04-14 14:31:54 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271277684.1271279957.27720.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 13:41, finished 14:20
Comment 308 User image Treeherder Robot 2010-04-14 14:56:42 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271278704.1271281021.30702.gz
OS X 10.5.2 mozilla-central debug test xpcshell, Started 13:58, finished 14:37
Comment 309 User image Treeherder Robot 2010-04-14 14:57:22 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271279541.1271281640.32177.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell, Started 14:12, finished 14:48
Comment 310 User image Marco Bonardo [::mak] 2010-04-14 15:22:59 PDT
second try to disable test, the crash dietrich saw probably worth investigations, i have no idea where it could come from (and it could be still there then!), btw, i did not early return in cleanup method since i want to eventually cleanup previous not-clobbered runs, so i just check if file exists.
http://hg.mozilla.org/mozilla-central/rev/e3d9d2edb159
Comment 311 User image Marco Bonardo [::mak] 2010-04-15 02:56:57 PDT
i think the crash (that is actually due to the storage close db assertion) is mainly due to bug 529821, since we shutdown so late, nsPlacesDBFlush tries to init history service at/after xpcom-shutdown.
Comment 312 User image Marco Bonardo [::mak] 2010-04-20 06:08:33 PDT
Anybody willing, feel free to work/report discoveries on these failures
Comment 313 User image Treeherder Robot 2010-04-23 11:06:40 PDT
philringnalda@gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1272044756.1272045161.30439.gz
OS X 10.5.2 mozilla-1.9.2 opt test xpcshell, Started 10:45, finished 10:53

s: moz2-darwin9-slave40
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-macosx-opt-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-macosx-opt-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 314 User image Treeherder Robot 2010-04-26 20:07:42 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1272333369.1272333802.15590.gz
OS X 10.5.2 mozilla-1.9.2 opt test xpcshell, Started 18:56, finished 19:04

s: moz2-darwin9-slave23
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-macosx-opt-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-macosx-opt-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 315 User image Treeherder Robot 2010-05-03 14:52:45 PDT
mfinkle%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1272920462.1272920885.25462.gz
OS X 10.5.2 mozilla-1.9.2 opt test xpcshell, Started 17:01, finished 17:09, took 9mins

s: moz2-darwin9-slave43
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-macosx-opt-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-macosx-opt-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 316 User image Steven Michaud [:smichaud] (Retired) 2010-05-13 11:21:23 PDT
OS X 10.5.2 mozilla-1.9.2 opt test xpcshell on 2010/05/13 09:48:41
s: moz2-darwin9-slave42
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1273769321.1273769764.28336.gz

OS X 10.5.2 mozilla-1.9.2 opt test xpcshell on 2010/05/13 10:50:03
s: moz2-darwin9-slave40
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1273773003.1273773403.13222.gz
Comment 317 User image Treeherder Robot 2010-05-17 04:49:42 PDT
dao%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1274096187.1274096616.826.gz
OS X 10.5.2 mozilla-1.9.2 opt test xpcshell, Started 13:36, finished 13:44, took 8mins

s: moz2-darwin9-slave16
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-macosx-opt-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-macosx-opt-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
Comment 318 User image Treeherder Robot 2010-06-23 22:01:51 PDT
joshmoz%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1277354041.1277354528.27536.gz
OS X 10.5.2 mozilla-1.9.2 opt test xpcshell on 2010/06/23 21:34:01

s: moz2-darwin9-slave41
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-macosx-opt-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-macosx-opt-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
Comment 319 User image Phil Ringnalda (:philor) 2010-06-24 20:03:57 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1277433649.1277434409.28874.gz
OS X 10.5.2 mozilla-1.9.2 opt test xpcshell on 2010/06/24 19:40:49
s: moz2-darwin9-slave36

TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-macosx-opt-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-macosx-opt-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:
Comment 320 User image Treeherder Robot 2010-06-25 10:47:40 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1277483308.1277484428.14798.gz
WINNT 5.2 mozilla-1.9.2 test xpcshell on 2010/06/25 09:28:28

s: win32-slave59
TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-1.9.2-win32-unittest-xpcshell\build\xpcshell\tests\test_browser_places\unit\test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-1.9.2-win32-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Getting Started == Toolbar Link Before - See following stack:
Comment 321 User image Treeherder Robot 2010-07-18 01:52:21 PDT
timeless%mozdev
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1279423487.1279423895.27516.gz
OS X 10.5.2 mozilla-1.9.2 test xpcshell on 2010/07/17 20:24:47

s: moz2-darwin9-slave59
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-macosx-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-macosx-unittest-xpcshell/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 322 User image Treeherder Robot 2011-01-05 10:01:18 PST
sgautherie.bz%free.fr
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1294156092.1294156522.16742.gz
OS X 10.5.2 mozilla-1.9.2 test xpcshell on 2011/01/04 07:48:12

s: moz2-darwin9-slave24
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/xpcshell/tests/crashreporter_test/unit/test_crashreporter.js | test failed (with xpcshell return code: -10), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 323 User image Treeherder Robot 2011-02-21 17:50:49 PST
chris.double%double.co.nz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1298336500.1298336890.25706.gz
OS X 10.5.2 mozilla-1.9.2 test xpcshell on 2011/02/21 17:01:40

s: moz2-darwin9-slave72
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | -1 != -1 - See following stack:
Comment 324 User image Marco Bonardo [::mak] 2011-04-18 06:30:47 PDT
http://hg.mozilla.org/mozilla-central/rev/68571c323401
Comment 325 User image Treeherder Robot 2011-06-09 13:53:09 PDT
jfkthame%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1307610926.1307611310.21529.gz
OS X 10.5.2 mozilla-1.9.2 test xpcshell on 2011/06/09 02:15:26

s: moz2-darwin9-slave62
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/xpcshell/tests/test_browser_places/unit/test_browserGlue_distribution.js | Get Bookmark Add-ons == Menu Link Before - See following stack:

Note You need to log in before you can comment on or make changes to this bug.